package com.slodon.b2b2c.vo.video;

import com.slodon.b2b2c.video.pojo.SvideoVideo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 封装视频列表VO对象
 *
 * @author wuxy
 * @date 2022.03.10 14:55
 */
@Data
public class VideoListVO {

    @ApiModelProperty("视频id")
    private Integer videoId;

    @ApiModelProperty("直播id")
    private Integer liveId;

    @ApiModelProperty("作者id")
    private Integer authorId;

    public VideoListVO(SvideoVideo svideoVideo) {
        this.videoId = svideoVideo.getVideoId();
        this.authorId = svideoVideo.getAuthorId();
    }
}
